R4i upgrade

Discussion in 'R4 DS' started by dawny32, Sep 7, 2009.

  1. dawny32
    OP

    dawny32 Newbie

    Newcomer
    4
    0
    Sep 7, 2009
    My son upgraded his DSi to the v1.4 and his R4 card wouldn't work. They have now brought out the upgrade and to install this you have to put the r4i into a dslite or ds not upgraded to install it. I did this and followed instructions but all I got was the word menu on the top screen and nothing on the bottom screen. Apparantly you should get the upgrade on the bottom screen to install. Has anyone else had this problem and did they get it to work.

    It's a black box ndsr4i.com and now when I put it in I get the update file on the screen but when I try to load it says invalid cartridge, does this mean my r4i is faulty.
     
  2. kaboom987

    kaboom987 Member

    Newcomer
    24
    0
    Aug 23, 2009
    Canada
    Canada
    Please be more specific with the R4i,
    what is the website on the cover?
    Gold Box, Red Box, or Black Box?
    SDHC?

    Just So we know which one ur dealing with.

    [​IMG]
     
  3. injected11

    injected11 Crescent Fresh™

    Member
    1,776
    48
    Jul 17, 2009
    United States
    Are you sure the update you're trying to use corresponds to the flashcart you're using? There are dozens of R4i's with slight variations of the name.
     
  4. dawny32
    OP

    dawny32 Newbie

    Newcomer
    4
    0
    Sep 7, 2009
    The website on the box is ndsr4i.com and its a black box, I now get the update on the screen but when I try to load it it says invalid cartridge, does this mean my r4i is faulty.
     
  5. injected11

    injected11 Crescent Fresh™

    Member
    1,776
    48
    Jul 17, 2009
    United States
    The site you posted says nothing about a 1.4 upgrade. Whatever you downloaded isn't meant to be used on your cart. Buy a different cart, because that one won't work on a 1.4 DSi.
     
  6. injected11

    injected11 Crescent Fresh™

    Member
    1,776
    48
    Jul 17, 2009
    United States
    double post, sorry
     
  7. TrolleyDave

    TrolleyDave Philosolosophising

    Former Staff
    7,762
    230
    Jan 1, 2007
    Wales, UK
    ^^^ What injected said. The update for the card is from way back in April, I doubt it's gonna get you past the 1.4 firmware blocking routines. This is reason why so many people say to stay away from R4 clones/fakes.
     
  8. dawny32
    OP

    dawny32 Newbie

    Newcomer
    4
    0
    Sep 7, 2009
    Thanks, can anyone recommend a good card
     
  9. injected11

    injected11 Crescent Fresh™

    Member
    1,776
    48
    Jul 17, 2009
    United States
    Nothing that says "R4" on it. The real R4 is outdated, and most the "R4i"s are clones of various cards (DSTT, Acekard, etc).

    A real Acekard is generally recommended as one of the most reliable and price-conscious cards, and from what I hear, it is well supported with updates.